webagent registration JRE libraries are missing or not-compatible

Document ID : KB000094798
Last Modified Date : 06/06/2018
Show Technical Document Details
Issue:
I am installing webagent 12.52 CR05 on Linux RHEL 7.4 server. When I try to register it, I get the following error

[root@host webagent]$ ./ca-wa-config.sh
Preparing to install... 
Extracting the JRE from the installer archive... 
Unpacking the JRE... 
Extracting the installation resources from the installer archive... 
Configuring the installer for this system's environment... 

Launching installer... 

JRE libraries are missing or not compatible.... 
Exiting.... 
Environment:
WebAgent 12.52 SP1
RHEL 7.4
Cause:
JRE on system is not compatible with Web Agent Installer
Resolution:
Needed to add the following to the WA install binary arguments and the config binary arguments

LAX_VM \bin\java\